<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" copyrightText="Copyright (c) 2009 modelversioning.org&#xA;All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html"
    modelDirectory="/org.modelversioning.core.conditions/src" modelPluginID="org.modelversioning.core.conditions.templatebindings"
    modelName="TemplateBindings" modelPluginClass="" importerID="org.eclipse.emf.importer.ecore"
    complianceLevel="6.0" copyrightFields="false" usedGenPackages="conditions.genmodel#//conditions platform:/plugin/org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore"
    interfaceNamePattern="">
  <foreignModel>templateBindings.ecore</foreignModel>
  <genPackages prefix="Templatebindings" basePackage="org.modelversioning.core.conditions"
      disposableProviderFactory="true" ecorePackage="templateBindings.ecore#/">
    <genClasses ecoreClass="templateBindings.ecore#//TemplateBindingCollection">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference templateBindings.ecore#//TemplateBindingCollection/bindings"/>
    </genClasses>
    <genClasses ecoreClass="templateBindings.ecore#//TemplateBinding">
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EReference templateBindings.ecore#//TemplateBinding/collection"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference templateBindings.ecore#//TemplateBinding/eObjects"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference templateBindings.ecore#//TemplateBinding/template"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
